| darcs-2.4.3: a distributed, interactive, smart revision control system | Source code | Contents | Index
Darcs.PrintPatch
Synopsis
printPatch :: Patchy p => p -> IO ()
contextualPrintPatch :: Patchy p => Tree IO -> p -> IO ()
printPatchPager :: Patchy p => p -> IO ()
printFriendly :: Patchy p => [DarcsFlag] -> p -> IO ()
Documentation
printPatch :: Patchy p => p -> IO () | Source
`printPatch` prints a patch on standard output.
contextualPrintPatch :: Patchy p => Tree IO -> p -> IO () | Source
`contextualPrintPatch` prints a patch, together with its context, on standard output.
printPatchPager :: Patchy p => p -> IO () | Source
`printPatchPager` runs '$PAGER' and shows a patch in it.
printFriendly :: Patchy p => [DarcsFlag] -> p -> IO () | Source
``printFriendly` opts patch` prints `patch` in accordance with the flags in opts, ie, whether `--verbose` or `--summary` were passed at the command-line.
Produced by Haddock version 2.4.2